ECHO OFF
IF "%1" == "" GOTO CDRIVE
IF "%1" == "C:" GOTO CDRIVE
IF "%1" == "c:" GOTO CDRIVE
IF "%1" == "D:" GOTO NOTCDRIVE
IF "%1" == "d:" GOTO NOTCDRIVE
IF "%1" == "E:" GOTO NOTCDRIVE
IF "%1" == "e:" GOTO NOTCDRIVE
IF "%1" == "F:" GOTO NOTCDRIVE
IF "%1" == "f:" GOTO NOTCDRIVE
IF "%1" == "G:" GOTO NOTCDRIVE
IF "%1" == "g:" GOTO NOTCDRIVE
ECHO  This install program will only work for drives C:,D:,E:,F:, or G:.
PAUSE
rem  Call the errorbat.bat to terminate the batch file.
A:ERRORBAT
:NOTCDRIVE
%1
GOTO CONTINUE1
:CDRIVE
C:
:CONTINUE1
CHDIR \
MKDIR FLY
CD FLY
COPY A:FLY.EXE
COPY A:SHADOWS.EXE
COPY A:TOUR.BAT
COPY A:*.TUR
COPY A:EAGLE.BMP
COPY A:CONTOUR.MPQ
COPY A:CANYON.QD4
A:MERGEQD A: